Module ij
Package ij.plugin

# Class Scaler

java.lang.Object
ij.plugin.Scaler

All Implemented Interfaces:
  `PlugIn`, `FocusListener`, `TextListener`, `EventListener`

public class Scaler extends Object implements PlugIn, TextListener, FocusListener
This plugin implements the Image/Scale command.

## Constructor Summary

Constructors
Constructor
Description
`Scaler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`static void`
`record(ImagePlus imp, int w2, int h2, int d2, int method)`
`static ImagePlus`
`resize(ImagePlus imp, int dstWidth, int dstHeight, int dstDepth, String options)`
Returns a scaled copy of this image or ROI, where the 'options' string can contain 'none', 'bilinear'.
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`textValueChanged(TextEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Scaler

public Scaler()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### resize

public static ImagePlus resize(ImagePlus imp, int dstWidth, int dstHeight, int dstDepth, String options)
Returns a scaled copy of this image or ROI, where the 'options' string can contain 'none', 'bilinear'. 'bicubic', 'slice' and 'constrain'.

### record

public static void record(ImagePlus imp, int w2, int h2, int d2, int method)

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`